Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.jest
Interface JSON

All Known Implementing Classes:
  JSONObject, JSONObject.Array, JSONObject.KVMap

    public interface JSON

A generic interface for a JSON encoded instance.

Author:
  Pinaki Poddar

Field Summary
`static String` | `ARRAY_EMPTY`
`static char` | `ARRAY_END`
`static char` | `ARRAY_START`
`static char` | `FIELD_SEPARATOR`
`static String` | `ID_MARKER`
`static char` | `IOR_SEPARTOR`
`static char` | `MEMBER_SEPARATOR`
`static String` | `NEWLINE`
`static String` | `NULL_LITERAL`
`static char` | `OBJECT_END`
`static char` | `OBJECT_START`
`static char` | `QUOTE`
`static String` | `REF_MARKER`
`static char` | `SPACE`
`static char` | `VALUE_SEPARATOR`

Method Summary
`StringBuilder` | `asString(int level)` Render into a string buffer.

Field Detail

### FIELD_SEPARATOR

    static final char FIELD_SEPARATOR

See Also:
  Constant Field Values

### MEMBER_SEPARATOR

    static final char MEMBER_SEPARATOR

See Also:
  Constant Field Values

### VALUE_SEPARATOR

    static final char VALUE_SEPARATOR

See Also:
  Constant Field Values

### IOR_SEPARTOR

    static final char IOR_SEPARTOR

See Also:
  Constant Field Values

### QUOTE

    static final char QUOTE

See Also:
  Constant Field Values

### SPACE

    static final char SPACE

See Also:
  Constant Field Values

### OBJECT_START

    static final char OBJECT_START

See Also:
  Constant Field Values

### OBJECT_END

    static final char OBJECT_END

See Also:
  Constant Field Values

### ARRAY_START

    static final char ARRAY_START

See Also:
  Constant Field Values

### ARRAY_END

    static final char ARRAY_END

See Also:
  Constant Field Values

### NEWLINE

    static final String NEWLINE

See Also:
  Constant Field Values

### NULL_LITERAL

    static final String NULL_LITERAL

See Also:
  Constant Field Values

### REF_MARKER

    static final String REF_MARKER

See Also:
  Constant Field Values

### ID_MARKER

    static final String ID_MARKER

See Also:
  Constant Field Values

### ARRAY_EMPTY

    static final String ARRAY_EMPTY

See Also:
  Constant Field Values

Method Detail

### asString

    StringBuilder asString(int level)

  Render into a string buffer.

  Parameters:
    `level` - level at which this instance is being rendered
  Returns:
    a mutable buffer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.